Create Lead Event: Realpage
POST
https://api.propexo.com/v1/events/leads/realpage/| Interface | Method |
|---|---|
| Prospect Management ODE | InsertActivity |
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
lead_idstringrequired
The Propexo unique identifier for the lead
event_namestringrequired
The name of the event in the PMS. These are specific to the PMS.
Show 13 enum values
E-mailEventFax/LetterInternetNotesPhone callPre-recorded - TourSelf-guided - TourSignatureText messageVideotelephony - TourVisitVisit (return)event_datetimestring | nullnullable
The datetime that the event occured.
notesstring
Notes to associate with the event.
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
lead_idstringrequired
The Propexo unique identifier for the lead
event_namestringrequired
The name of the event in the PMS. These are specific to the PMS.
Show 13 enum values
E-mailEventFax/LetterInternetNotesPhone callPre-recorded - TourSelf-guided - TourSignatureText messageVideotelephony - TourVisitVisit (return)event_datetimestring | nullnullablerequired
The datetime that the event occured.
notesstring | nullnullablerequired
Notes to associate with the event.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/leads/realpage/
curl -X POST https://api.propexo.com/v1/events/leads/realpage/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"event_name": "E-mail"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"event_name": "E-mail",
"event_datetime": "string",
"notes": "string"
}
}